Loading...
Searching...
No Matches
parallel_tronconneuse.hpp File Reference
Private

defines a block structured file. More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "archive_version.hpp"`
`#include "crypto_segment.hpp"`
`#include "heap.hpp"`
`#include "crypto_module.hpp"`
`#include "proto_tronco.hpp"`
`#include <libthreadar/libthreadar.hpp>`

Go to the source code of this file.

## Classes

class | libdar::parallel_tronconneuse
| this is a partial implementation of the generic_file interface to cypher/decypher data block by block. More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum class | libdar::tronco_flags { normal = 0 , stop = 1 , eof = 2 , die = 3 , data_error = 4 , exception_below = 5 , exception_worker = 6 , exception_error = 7 }
| status flags used between parallel_tronconneuse and its sub-threads More...

## Detailed Description

defines a block structured file.

Definition in file parallel_tronconneuse.hpp.